%%% $Id: eabstract.cls,v 1.3 1996/12/20 07:16:12 mad Exp $
%%%
%%% Style file for Ph.D dissertation english abstract, 
%%% Faculty of Sci. and Tech., Keio Univ.
%%% 
%%% This is file `eabstract.cls'.
%%%
%%% Written by F. Yamaguchi Sep. 25, 1996
%%% Modified by MAEDA Atusi 1996-12-03
%%%
%%% Usage:
%%% Specify at the start of the document:
%%%   \documentclass{eabstract}
%%%
%%% In preamble, specify:
%%%    \major{your major}
%%%    \author{SURNAME, Firstname}
%%%    \title{title of the paper}
%%% and after \begin{document}, do:
%%%    \maketitle
%%% to create the frame of the cover page.

\NeedsTeXFormat{pLaTeX2e}
\ProvidesClass{eabstract}[1996/12/20 English abstract]
\LoadClass{phd}
\DeclareOption*{\PassOptionsToPackage\CurrentOption{eabstract}}
%
\def\vpad#1#2{
  \vbox to#1{\vss\hbox{#2}\vss}
}
\def\hpad#1#2{
  \hbox to#1{\hss\hbox{#2}\hss}
}
\def\rulebox#1#2#3{
  \hbox to#1{\hss\vpad{#2}{#3}\hss\vrule}
}
\def\rulehbox#1#2{
  \hbox to#1{\hss\hbox{#2}\hss\vrule}
}
\newdimen\majorLength\majorLength=32mm
\newdimen\idLength\idLength=84mm
\newdimen\enameLength\enameLength=47mm
\firstRowHeight=32mm
\titleHeight=42mm
\def\firstPage{%
  \vbox{%
    \vbox to \headHeight{%
      \hbox to\frameWidth{\hss{\Large THE SUMMARY OF Ph. D. DISSERTATION}\hss}%
      \vss
    }
    \hbox{\vrule%
      \vbox to\frameHeight{%
        \hrule%
        \hbox{%
          \headBox{\majorLength}{%
	    \vbox to \firstRowHeight{%
	      \vspace{9mm}%
	      \hbox to \majorLength{\hspace{5.8mm}Major\hss}%
	      \vss%
	      \hbox to \majorLength{\hss\small\@major\hss}%
	      \vspace{6mm}%
	    }%
	  }%
          \headBox{\idLength}{%
	    \vbox to \firstRowHeight{%
	      \vspace{9mm}%
	      \hbox{\hss Student Identification Number\hss}%
	      \vss%
	    }%
	  }%
          \headBox{\enameLength}{%
	    \vbox to \firstRowHeight{%
	      \vspace{9mm}%
	      \hbox{\hss SURNAME, Firstname\hss}%
	      \vss%
	      \hbox{\hss\@author\hss}%
	      \vspace{6mm}%
	    }%
	  }%
	}
        \hrule%
        \hbox{%
          \vbox to\titleHeight{\vskip\titleHeadVSep\hbox to0pt{%
            \hskip\titleHeadHSep{\bf Title}\hss}\vss}%
          \vbox to\titleHeight{\vss\vskip\titleHeadVSep%
            \hbox to\frameWidth{\hss%
              \parbox{0.8\frameWidth}{\large \@title}%
              \hss}%
            \vss}%
        }%
        \hrule%
          \vbox to\titleHeight{\vskip\titleHeadVSep\hbox to0pt{%
            \hskip\titleHeadHSep{\bf Abstract}\hss}\vss}%
        \vss%
        }%
      \vrule%
      }%
    \hrule%
    }%
  }
\newcommand{\major}[1]{
\newcommand\@major{#1}
}
\setlength{\titlepagestart}{95mm}
\endinput
%
% End of paper-list.cls
%
